View Issue Details

IDProjectCategoryView StatusLast Update
0001675Industrial-Craft²nuclear reactor and anything associatedpublic2015-08-04 17:38
ReporterpyureAssigned ToAroma1997 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.7.10 
Summary0001675: NPE Cooling 5x5 Reactor via Fluid Regulator
DescriptionI'm attempting to test pressure reactors in industrialcraft-2-2.2.756-experimental

Trying to figure out how to supply them with coolant. Game instantly crashes if you pass in coolant via fluid regulator.
Steps To Reproduce* Build 5x5 reactor
* Include fluid port
* Place regulator against fluid port (pointed correctedly at port)
* Put fluid in fluid regulator (universal cells via regulator)
* Use one of the + buttons to ensure throughput. (1 mb/s)
* Provide power to regulator
* Crash.

Log attached.
Additional Information* Tried both Cold Coolant and Distilled Water
* Cold Coolant can be supplied successfully via cells in the reactor gui itself



TagsNo tags attached.
Minecraft Version

Relationships

duplicate of 0001654 resolvedAroma1997 Crash when regulator directly inputs water into steam generator 

Activities

pyure

2015-07-24 00:22

reporter  

pyure

2015-07-24 00:23

reporter   ~0004016

Probably related to 0001673 or duplicate.

Chocohead

2015-07-24 13:43

developer   ~0004018

Looks related rather than duplicate. The fluid regulator doesn't like spitting fluids out to certain things.

pyure

2015-07-24 15:36

reporter   ~0004020

Is this an old issue? I thought the fluid regulator was the only non-cell method of providing fluid to a 5x5 reactor.

Chocohead

2015-07-24 15:39

developer   ~0004021

It is the only IC2 only way of doing it, but Player appears to have broken it in the 752 update.

pyure

2015-07-24 18:07

reporter   ~0004022

Got it. Thanks for the exact version. We'll rollback to <752.

Chocohead

2015-08-03 21:54

developer   ~0004059

Related to 0001654 and 0001673

Issue History

Date Modified Username Field Change
2015-07-24 00:22 pyure New Issue
2015-07-24 00:22 pyure File Added: crash-2015-07-23_20.02.09-server.txt
2015-07-24 00:23 pyure Note Added: 0004016
2015-07-24 13:43 Chocohead Note Added: 0004018
2015-07-24 15:36 pyure Note Added: 0004020
2015-07-24 15:39 Chocohead Note Added: 0004021
2015-07-24 18:07 pyure Note Added: 0004022
2015-08-03 21:54 Chocohead Note Added: 0004059
2015-08-04 17:22 Aroma1997 Relationship added duplicate of 0001654
2015-08-04 17:38 Aroma1997 Status new => resolved
2015-08-04 17:38 Aroma1997 Fixed in Version => Builds for MC 1.7.10
2015-08-04 17:38 Aroma1997 Resolution open => fixed
2015-08-04 17:38 Aroma1997 Assigned To => Aroma1997